Skip to main content
Back to API List An updated version of the Raw Data API that provides additional conversation data for deeper insights into Agent AI interactions and conversation flows.

What’s New in v2

This version includes the following additional data:
  • Agent feedback: reason code and feedback text in addition to like/dislike
  • Complete generated answers with feedback
  • Comprehensive agent activity tracking
  • Full end-user utterances
  • Dialog task execution details
  • Agent search bar activity timing
  • Name of the queue (XOCC desktop) involved in the conversation
  • Number of times an agent uses the scroll up and scroll down buttons
  • Names of URLs an agent clicks
  • Total number of words or phrases suggested, accepted, and entered by the agent
  • Total number of words suggested for correction and autocorrected words accepted
  • Conversation Summary existence and agent reading/scrolling activity
  • Filters: Agent ID, Channel, Session ID, and Conversation ID
  • Custom and Assist tab details
  • Playbooks data: type (primary and dynamic), stage/step details, scenario completion, configuration-based triggers, step execution order, and adherence validation
  • Agent Coaching data: triggered events, actions, and adherence details
  • Agentic feedback submitted by agents
Add the &includeAgenticData=true flag to the request URL to retrieve agentic feedback data.

API Details

FieldValue
MethodGET, POST — Use GET for complete data; POST for filtered data.
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamid}}/v2/agentassistinteractions?from=YYYY-MM-DD-HH24:mm:SS&to=YYYY-MM-DD-HH24:mm:SS&offset=NNNNN&limit=0..100
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token
API ScopeAgentAssist Analytics — See Associate API Scopes

Query Parameters

ParameterRequiredDescription
fromYesStart date and time of the interactions in YYYY-MM-DD HH24:mm:SS format.
toYesEnd date and time of the interactions in YYYY-MM-DD HH24:mm:SS format.
includeAgenticData=trueNoInclude this flag to retrieve agenticActivities data.

Header Parameters

ParameterRequiredDescription
accountIdYesThe account ID associated with the API request.
authYesAuthentication token in the format Bearer <token>.

Sample Request

curl --location --max-time 15 --request GET \
'https://{{host}}/agentassist/api/v1/public/st-eef6ef35-35e5-52d7-99d6-1e8ab7fxxxxxxx/v2/agentassistinteractions?from=2026-02-25&to=2026-02-25&includeAgenticData=true' \
--header 'accountId: 664b33a620bd0892exxxxxxx' \
--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--header 'Content-Type: application/json' \
--data '{
    "sessionIds": ["685bc2a0b74c8d12bxxxxxxx"]
}'

Request Body Parameters

ParameterRequiredDescription
sessionIdsNoArray of session IDs to filter specific AI Agent sessions.

Sample Response

{
    "numResults": 3,
    "hasMore": false,
    "data": [
        {
            "conversationID": "conv-XXXXXXX",
            "botSessionID": "session-XXXXXXX",
            "channel": "chat",
            "segmentID": "ac-11111111-2222-3333-4444-555555555555",
            "agent": {
                "firstName": "REDACTED",
                "lastName": "REDACTED",
                "email": "redacted@example.com",
                "name": "REDACTED AGENT",
                "agentId": "agent-XXXX"
            },
            "tags": [
                {
                    "type": "message",
                    "name": "intent",
                    "value": "refund_request",
                    "messageID": "ms-aaaa1111-bbbb-2222-cccc-333333333333",
                    "createdAt": "2026-02-25T09:33:25.937Z"
                }
            ],
            "segmentStartTime": "2026-02-25T09:33:10.120Z",
            "segmentEndTime": "2026-02-25T09:36:02.880Z",
            "agentActions": [
                {
                    "actionType": "SearchBarEntry",
                    "action": {
                        "searchPhrase": "[REDACTED_QUERY]",
                        "typingStartTime": "2026-02-25T09:33:30.120Z",
                        "executionStartTime": "2026-02-25T09:33:30.500Z",
                        "displayTime": "2026-02-25T09:33:32.000Z",
                        "suggestionsShown": ["Suggestion 1", "Suggestion 2"],
                        "suggestionUsed": 1,
                        "phraseInput": "[REDACTED_INPUT]",
                        "correctionsPresented": 2,
                        "correctionsAccepted": 1,
                        "countDisplayedAnswers": {
                            "countDialogTasks": 1,
                            "countFaqs": 0,
                            "countAnswers": 1,
                            "countFiles": 0,
                            "countWebPages": 0,
                            "countFromNonNativeDataSource": 0
                        },
                        "suggestions": {
                            "dialogs": [{ "name": "Cancel Account" }],
                            "answers": [
                                {
                                    "content": "[REDACTED_GENERATED_ANSWER]",
                                    "positionId": "dg-1234567890",
                                    "sources": [
                                        {
                                            "title": "Refund Policy",
                                            "url": "https://example.com/refund"
                                        }
                                    ],
                                    "internalFlag": false
                                }
                            ]
                        }
                    },
                    "used": [
                        {
                            "targetType": "Answer",
                            "target": {
                                "answer": {
                                    "status": "Sent",
                                    "usedTime": "2026-02-25T09:33:40.000Z",
                                    "showMoreClicked": false,
                                    "answerLinkClicked": [],
                                    "positionId": "dg-1234567890",
                                    "feedback": {
                                        "response": "up",
                                        "reasonCode": ["Correct Intent"],
                                        "comment": "[REDACTED]"
                                    }
                                }
                            }
                        }
                    ]
                }
            ],
            "proActiveSuggestions": [
                {
                    "utterance": "[REDACTED_CUSTOMER_UTTERANCE]",
                    "suggestions": { "dialogs": [], "answers": [] },
                    "displayTime": "2026-02-25T09:33:20.000Z",
                    "countDisplayedAnswers": {
                        "countDialogTasks": 0,
                        "countFaqs": 0,
                        "countAnswers": 1,
                        "countFiles": 0,
                        "countWebPages": 0,
                        "countFromNonNativeDataSource": 0
                    },
                    "used": []
                }
            ],
            "queueInfo": { "queueId": "qu-XXXX", "queueName": "SupportQueue" },
            "countScrollUp": 2,
            "countScrollDn": 3,
            "isWelcomeMsgRead": true,
            "linksClicked": [
                { "url": "https://example.com/help", "timestamp": "2026-02-25T09:34:00.000Z" }
            ],
            "playbookRuntimeData": [
                {
                    "_id": "playbookRuntime-XXXX",
                    "playbookId": "acl-XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
                    "type": "primary",
                    "triggerType": "auto",
                    "language": "en",
                    "order": "sequential",
                    "openedAt": "2026-02-25T09:33:15.221Z",
                    "closedAt": "2026-02-25T09:34:03.254Z",
                    "adheredSteps": 5,
                    "adherenceRate": 100,
                    "stages": [],
                    "totalStages": { "stage-1": 3 }
                }
            ],
            "coachingRuntimeData": [
                {
                    "_id": "coachingRuntime-XXXX",
                    "ruleId": "acr-XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
                    "ruleName": "Greeting Compliance",
                    "messageId": "ms-XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
                    "triggeredAt": "2026-02-25T09:33:25.430Z",
                    "actionType": "nudge",
                    "actionId": "action-XXXX",
                    "expression": "positive",
                    "message": { "title": "Use Standard Greeting", "body": "[REDACTED]" },
                    "emails": [],
                    "adherence": { "criteria": "Greeting template used" },
                    "isAdhered": true,
                    "adheredAt": "2026-02-25T09:33:42.430Z"
                }
            ],
            "agenticActivities": [
                {
                    "utterance": "[REDACTED_CUSTOMER_UTTERANCE]",
                    "requestId": "aa-XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
                    "requestTime": "2026-02-25T09:33:20.000Z",
                    "reqStatus": "200",
                    "response": [{ "type": "suggestion", "content": "[REDACTED_RESPONSE]" }],
                    "responseTime": "2026-02-25T09:33:21.200Z",
                    "resStatus": 200,
                    "sessionInfo": { "botSessionID": "session-XXXXXXX" },
                    "participantId": "participant-XXXX",
                    "streaming": false,
                    "usageDetails": { "usedType": "send" },
                    "feedback": { "response": "up" }
                }
            ]
        }
    ]
}

Response Body Parameters

ParameterTypeDescription
numResultsIntegerNumber of results in this response.
hasMoreBooleanIndicates if more pages are available.
dataArrayEach object represents a conversation segment handled by one primary agent.
data[].conversationIDStringUnique conversation ID (from customer).
data[].botSessionIDStringUnique session ID (from Kore). Example: 667fc3b587b5fd0fbf97d4de
data[].channelStringChannel name. Example: chat
data[].segmentIDStringUnique segment ID prefixed with ac-.
data[].agentObjectPrimary agent servicing this segment.
data[].agent.firstNameStringAgent first name.
data[].agent.lastNameStringAgent last name.
data[].agent.emailStringAgent email address.
data[].agent.nameStringAgent full name.
data[].agent.agentIdStringUnique agent ID.
data[].tagsArrayTags emitted by the AI Agent during this segment.
data[].tags[].typeStringTag type: user, message, or session.
data[].tags[].nameStringTag key defined by the AI Agent developer.
data[].tags[].valueStringTag value.
data[].tags[].messageIDStringMessage ID prefixed with ms-.
data[].tags[].createdAtString (UTC)Timestamp when the tag was emitted.
data[].segmentStartTimeString (UTC)Segment start time.
data[].segmentEndTimeString (UTC)Segment end time.
data[].agentActionsArrayAgent actions (search or dialog task execution).
data[].agentActions[].actionTypeStringAction type. Example: SearchBarEntry, LibrarySelection
data[].agentActions[].actionObjectDetails of the search attempt (for SearchBarEntry type).
data[].agentActions[].usedArrayObjects used (Sent, Copied, Executed, Feedback, Clicked).
data[].agentActions[].used[].targetTypeStringType of used object. Example: DialogTask, FAQ, Answer, File, WebPage
data[].agentActions[].used[].targetObjectDetails of the dialog task or data source used.
data[].proActiveSuggestionsArraySuggestions proactively shown by Agent AI.
data[].proActiveSuggestions[].utteranceStringCustomer utterance that triggered suggestions.
data[].proActiveSuggestions[].displayTimeString (UTC)Time suggestions were displayed.
data[].proActiveSuggestions[].countDisplayedAnswersObjectCount of suggestions displayed by type (dialogs, FAQs, answers, files, web pages, non-native).
data[].proActiveSuggestions[].usedArraySuggestions used by the agent.
data[].playbookRuntimeDataArrayPlaybook runtime execution data.
data[].playbookRuntimeData[].playbookIdStringPlaybook ID.
data[].playbookRuntimeData[].typeStringPlaybook type. Example: primary
data[].playbookRuntimeData[].triggerTypeStringTrigger source. Example: auto
data[].playbookRuntimeData[].openedAtString (UTC)Playbook start time.
data[].playbookRuntimeData[].closedAtString (UTC)Playbook end time.
data[].playbookRuntimeData[].adheredStepsIntegerNumber of steps adhered to.
data[].playbookRuntimeData[].adherenceRateNumberOverall adherence rate as a percentage.
data[].coachingRuntimeDataArrayCoaching rule execution details.
data[].coachingRuntimeData[].ruleIdStringCoaching rule ID.
data[].coachingRuntimeData[].ruleNameStringCoaching rule name.
data[].coachingRuntimeData[].triggeredAtString (UTC)Time rule was triggered.
data[].coachingRuntimeData[].actionTypeStringCoaching action type. Example: nudge, hint
data[].coachingRuntimeData[].isAdheredBooleanWhether the agent adhered to the coaching action.
data[].agenticActivitiesArrayAgent AI request/response activity details. Returned when includeAgenticData=true.
data[].agenticActivities[].utteranceStringUser utterance sent to Agent AI.
data[].agenticActivities[].requestIdStringUnique request ID.
data[].agenticActivities[].reqStatusStringHTTP request status. Example: 200
data[].agenticActivities[].responseTimeString (UTC)Time response was received.
data[].agenticActivities[].resStatusIntegerHTTP response status code.
data[].agenticActivities[].streamingBooleanIndicates if streaming was enabled.
queueInfo.queueIdStringQueue ID.
queueInfo.queueNameStringQueue name.
countScrollUpIntegerNumber of scroll-up clicks by the agent.
countScrollDnIntegerNumber of scroll-down clicks by the agent.
isWelcomeMsgReadBooleanIndicates if the Welcome Message was read.
linksClickedArrayURLs clicked by the agent with timestamps.